List a team's members
GET
/teams/{teamId}/members
const url = 'https://example.com/api/v1/teams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members';const options = { method: 'GET', headers: {cookie: '__Host-shardkeep_session=<__Host-shardkeep_session>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/teams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members \ --cookie __Host-shardkeep_session=<__Host-shardkeep_session>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”teamId
required
string format: uuid
Responses
Section titled “Responses”Members by username.
Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
username
required
string
email
required
string
displayName
required
string
globalAdmin
required
boolean
disabled
required
boolean
disabledAt
string format: date-time
passwordChangeRequired
required
boolean
createdAt
required
string format: date-time
nextCursor
Pass as cursor for the next page; absent on the last page.
string
Examplegenerated
{ "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "username": "example", "email": "example", "displayName": "example", "globalAdmin": true, "disabled": true, "disabledAt": "2026-04-15T12:00:00Z", "passwordChangeRequired": true, "createdAt": "2026-04-15T12:00:00Z" } ], "nextCursor": "example"}Not signed in, or the credentials are invalid.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Signed in, but not allowed.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Not found, or not visible to you.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Shardkeep is free software under the AGPL-3.0. Minecraft is a trademark of Mojang AB; Shardkeep is not affiliated with or endorsed by Mojang or Microsoft.